/* Allgemeinen Abstand der Menüpunkte in Panels, damit z.B. die "Extern"-Icons
   korrekt eingepasst sind. */
.panel .panel-body .nav li > a,
.panel .panel-body .nav li > span {
    padding-left: 17px;
}
/*.panel .panel-body .nav li > a.external {*/
    /*padding-left: 0;*/
    /*margin-left: -2px;*/
/*}*/

.panel .panel-body .nav li > a.external {
    padding-left: 0;
}

.panel .panel-body .nav li > a.external > span.fa-external {
    padding-right: 4px;
    margin-left: -2px;
}

a.external > .external-text {
    display: block;
    padding-left: 17px;
}

/* Verhindere, dass die "Editor"-Menüpunkte weiter rechts stehen. */
/*.panel .panel-body .nav.ezwzt-actionlist li > a {*/
    /*padding-left: 0;*/
/*}*/

/* ein wenig abstand zu den menüpunkten unterhalb der Panel-Unterüberschrift */
.panel .panel-body .panel-subheader {
    padding-bottom: 4px;
}

/* Alle Panel-Unterüberschriften sollen einen Abstand nach oben bekommen */
.panel .panel-body .panel-subheader:nth-child( 1n+2 ) {
    padding-top: 10px;
}

/* Debug-Bereich für mobile Geräte ausblenden */
@media ( max-width: 480px ) {
  #debug {
      display: none;
  }
}

/* Special formatting for debug output in templates */
pre.debug table {
    width: 100%;
}

pre.debug table tr {
    border-bottom: 1px solid rgba( 0, 0, 0, 0.1333 );
}

/*.bonsai .level_2 li {*/
  /*background: transparent;*/
/*}*/
/*@media screen and (min-width: 768px) {*/
  /*.bonsai a {*/
    /*padding: 2px 30px 2px 0;*/
  /*}*/
  /*.bonsai li > .thumb {*/
    /*font-size: 18px;*/
  /*}*/
  /*.bonsai .level_2 li {*/
    /*background: transparent;*/
  /*}*/
/*}*/




/** open-close te **/
.panel-header a.open-close,
.sidebar-entry a.user-link {
    color: #333333;
    width: 100%;

    display: block;
}

.panel-title {
    display: inline;
    font-size: 14px;
}

/* GREMIENKALENDER */

div.list-columns ul.column
{
    float:        left;
    margin-top:   0.1em;
    margin-left:  0;
    margin-right: 0.4em;
    width:        auto;
}

div.list-columns ul.column li
{
    list-style-type: none;
    list-style-image: none;
    background:   none;
    padding:      0;
    margin:       0;
    margin-top:   0.2em;
    margin-right: 0.4em;
}

div#filter_teamrooms_1
{
    border: 1px solid #000;
    margin: 3px;
    /*width: 728px;*/
}

a.event_link
{
    position: relative;
}

.a.event_link:hover
{
    z-index: 50;
    background-color: transparent;
}

a.event_link span.event_details
{
    z-index: 200;
    position: absolute;
    background-color: #ffeeee;
    padding: 5px;
    left: -1000px;
    border: 1px dashed gray;
    visibility: hidden;
    color: black;
    text-decoration: none;
    width: 400px;
    /*display: table;*/
}

a.event_link span.event_details>span
{
    display: table-row;
}

a.event_link span.event_details>span>span
{
    /*display: table-cell;*/
    text-align: left;
    vertical-align: top;
    line-height: 1.5em;
}

a.event_link:hover span.event_details,
a.event_link:hover div.event_details
{
    top: 0;
    left: -370px; /*position where enlarged image should offset horizontally */
    visibility: visible;
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

/* NEW SEARCH */


/* Let search textblocks have a gray border */
.textblock-search,
.textblock-form {
    border: 1px solid #c6c5c6;
}

.textblock-search {
    margin: -1px 0 0 0;
}

.textblock-form {
    margin: 0 0 15px 0;
}

/* Prevent the search textblock from having a border, when closed, because this would overlap with
   the border-bottom of the textblock-heading */
.textblock-search.closed {
    border-bottom: none;
}

.textblock-search > .textblock-heading,
.textblock-form > .textblock-heading {
    padding: 0 10px;
    border-color: #c6c5c6 !important;
}
.textblock-search > .textblock-body,
.textblock-form > .textblock-body {
    padding: 20px;
    background-color: #E7E7E9;
}

.btn-search-area {
    position: relative;
    font-weight: bold;
    color: white;
    background-color: red;

    border-radius: 99px;

    padding: 1px 7px;
    height: 22px;
    width: 22px;
}

.btn-search-area:hover {
    color: white;
    text-decoration: none!important;
}

.btn-search-area::after,
.btn-search-area:after {
    content: "x";
    position: absolute;

    font-size: 22px;

    left: 0;
    top: -6px;

    width: 22px;
    height: 22px;
}

#tree-selected,
#facets-selected {
    margin: 0 0 0 1em;
    padding: 0;
    list-style: none;
}

#editor_box_body {
    margin-top: 20px;
}

#facets-selected .icon {
    top: 1px;
}

/*#time-input {*/
    /*margin-top: 15px;*/
/*}*/

.icon-calendar.calendar-search {
    top: 11px;

    margin-left: 5px;
    margin-right: 15px;

    cursor: pointer;
}

.facet-list {
    padding: 0;
    margin: 0;
    margin-bottom: 10px;

    list-style: none;
}

.facet-list li {
    display: inline-block;
}

.facet-title {
    margin-bottom: 5px;
}

/* MODAL for TreeSelect – IMPORTED from old svip_search.css */
#modal {
    position: absolute;
    z-index: 999;
    width: 700px;
    top: 10%;
    left: 50%;
    margin-left: -350px;
    padding: 2em;
    text-align: left;

    /* From .well class */
    background-color: #F5F5F5;
    border: 1px solid rgba(0, 0, 0, 0.05);
    border-radius: 4px 4px 4px 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05) inset;
}

#modal #tree_list {
    margin: 1em;
    padding-left: 40px;
}

#modal h2 {
    margin-top: 0;
    font-size: 1.375em;
}

#modal li {
    list-style-type: none;
    padding-bottom: 1px;
}

#modal li span {
    float: left;
    clear: both;
    border: 1px solid #c6c5c6;
    width: 1em;
    text-align: center;
    margin-left: -1.3em;

    cursor: pointer;
}

#modal li:hover span {
    border: 1px solid #F00;
}

#modal li .minus, #modal li.open .plus {
    display: none;
}

#modal li.open .minus, #modal li .plus {
    display: inline;
}

#modal label {
    cursor: pointer;
    display: inline-block;
    font-weight: normal;
}

#modal-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* IE workaround */
    background: #000;
    filter: alpha(opacity=80);
    background: rgba(0, 0, 0, 0.8);
    z-index: 998;
}

#close_modal {
    position: absolute;
    right: 8px;
    top: 6px;
    cursor: pointer;
}


#Search {
    width: 50%;
}

.sidebar__left_img {
    margin-bottom: 20px;
}


.textblock-search.closed {
    border-bottom: none;
}
.textblock-search {
    border: 1px solid #c6c5c6;
    margin: -1px 0 0 0;
}

.search__results_entry b {
    background-color: #FF9;
}

.no-hover:hover,
.no-hover:focus {
    text-decoration: none!important;
}

.btn-icon {
    margin-top: -6px;
}

.btn-icon img {
    width: 20px;
}

#attachments ul, #references ul {
    margin-left: 20px;
}

.list__circular_letter .publish-string,
.list__circular_letter .delimiter {
    display: none;
}

.publish-string {
    padding-right: 2px;
}

.number-string {
    padding-left: 2px;
}

small,
.small  { font-size: 90%; }

.fa-external {
    float: left;
    margin-top: 3px;
    position: relative;
    /*z-index: 99999999;*/
}

.ezsnac_node_role_legend {
    margin-bottom: 10px;
}

hr.description-row {
    margin-top: 12px;
    margin-bottom: 12px;
}

.list-description-text {
    /* This will merge with the margin given from a `<p>` element.
       E.g. if the margin of the `<p>` element is 9px and you set this to a
       margin of 20px, this will ensure in an addition margin of (20-9)=11px
    */
    margin-bottom: 20px;
}

.facets-selected {
    border-bottom: 1px solid #c6c5c6;
    margin-bottom: 20px;
    padding-bottom: 2px;
}

/* ToDo: Check for mobile viewport */
.datepicker-block {
    padding-top: 25px;
    text-align: center;
}

/* Prevent (right) sidebar links from breaking */
/*.main_box_body_link > a {*/
    /*white-space: nowrap;*/
    /*overflow: hidden;*/
    /*text-overflow: ellipsis;*/
/*}*/


/*
    BONSAI
 */




/*.bonsai.level_1 > li > a {*/
    /*border-bottom: 1px solid #c6c5c6;*/
/*}*/

.bonsai.level_1 > li {
    border-bottom: 1px solid #c6c5c6;
    padding-bottom: 1px;
    padding-top: 1px;
}

@media screen and (min-width: 768px) {
    .bonsai li > .thumb {
        font-size:   18px;
        line-height: 1.65;
    }

    .bonsai a {
        padding:     5px 30px 5px 0;
        /* padding: 4px 30px 4px 0; */
        /*line-height: 1.8; line height wie im text*/
    }
}

.bonsai.level_2 > li:last-child {
    border-bottom: none;
}
.bonsai.level_2 > li {
    border-bottom: 1px solid #c6c5c6;
}
/*.bonsai > li {*/
    /*border-bottom: 1px solid #c6c5c6;*/
/*}*/
/*.bonsai > li:last-child {*/
    /*border-bottom: none;*/
/*}*/


.bonsai .fa {
    float: left;
    padding-right: 5px;
    margin-top: 7px;
    margin-left: -8px;
}

/*.bonsai.level_1 > li.selected > a {
    border-bottom: none;
}*/

.bonsai li.has-children.expanded > a {
    font-weight: bold;
}


.widget__dashboard .panel-footer .min-max-icon {
    /* transform: rotate(90deg); */
    font-size: 250%;
    /* margin-top: -3px; */
    position: relative;
    top: -5px;


}



/*
.widget__dashboard .panel-footer .min-max-icon:before {
    content: '»';
    display: block;
    transform: rotate(90deg);
}*/

.widget__dashboard .panel-footer a.min-max {
    display: block;
    text-align: center;
    /* transform: rotate(90deg); */
    max-height: 30px;
    /* position: relative; */
}

.widget__dashboard .panel-footer a.min-max:hover {
    text-decoration: none;
}

/* => Select all ".panel" elements, which are no ".sidebar__left_img" and not
      the last-child in it's container */
.panel:not(.sidebar__left_img):not(:last-child) /*:not(:nth-child(0))*/
{
    border-bottom-width: 0;
}

/**** Circular letter OSV style definitions */
/*** ToDo => Überprüfen, ob die Styles hier überhaupt noch benötigt werden */
.rundschreiben_tabelle.rundschreiben_tabelle_osv {
    margin-top:    -1px;
    width:         100%;
    padding:       1em 0 0.25em 0;
    border-top:    1px solid;
    border-bottom: 1px solid;
}

.rundschreiben_tabelle_osv th, .rundschreiben_tabelle_osv td {
    text-align:     left;
    vertical-align: top;
    padding:        0 0.75em 0.75em 0;
}

.rundschreiben_tabelle_osv ul {
    padding: 0 0 0 1em;
    margin:  0;
}

/*.OF_WFUButtonNew input { background-color: #ffffff;border: none;color: #ff0000;padding: 0;font-size: 0.95em; }*/

/*
body {
    line-height: 1.3;
}*/


.content_previewblock {
    margin-top: 20px;
}

.main-content div > ul {
    padding-left: 15px;
    /*list-style-type: disc;*/
}

#attachments, #references {
    margin-bottom: 20px;
}

/*
    const STATUS_DRAFT = 0;     ==> ENTWURF
    const STATUS_PUBLISHED = 1; ==> VERÖFFENTLICHT
    const STATUS_PENDING = 2;   ==> IN FREIGABE
    const STATUS_ARCHIVED = 3;  ==> ARCHIVIERT
    const STATUS_REJECTED = 4;  ==> ABGELEHNT
*/

.draft-bg {
    background-size: contain;
}

.draft-bg-0 {
    background-image: url( "../images/version-status-draft.png" );
}

.draft-bg-1 {
    background-image: url( "../images/version-status-published.png" );
}

.draft-bg-2 {
    background-image: url( "../images/version-status-pending.png" );
}

.draft-bg-3 {
    background-image: url( "../images/version-status-archived.png" );
}

.draft-bg-4 {
    background-image: url( "../images/version-status-rejected.png" );
}

.draft-bg-not-valid {
    background-image: url( "../images/version-status-invalid.png" );
}

blockquote {
    background-color: #efefef;
    border-left: 0 solid #cccccc;
    font-size: 14px;
    margin: 0 0 0;
    padding: 5px 10px;

    word-break: break-all;

    /*padding-left: 50px;*/
}

blockquote::before {
    content: "Zitat: »";
    /*margin-left: -42px;*/
}

blockquote::after {
    content: "«";
}

blockquote.comment::before,
blockquote.comment::after {
    font-style: normal;
}

blockquote.comment::before {
    /*content: attr( data-name ) ": »";*/
    content: "»";
}

blockquote.comment {
    font-style: italic;
}

.new-question-answer {
  color: #228b22;
}

/* == DELEGATION HISTORY – BEGIN == */

ul.delegation-history-list,
ul.delegation-history-list ul {
    padding-left: 2.25em!important;
}

ul.delegation-history-list,
ul.delegation-history-list ul {
    border-left: 1px dotted;
    margin-bottom: 0.75rem;
    padding-left: 1.75em;
}

ul.delegation-history-list li {
    list-style-type: none;
    padding-bottom: 10px;
}

ul.delegation-history-list li::before {
    content: "⮡";
    position: absolute;
    margin-left: -2.25rem;
}

/* Alternating colors for better legibility; not used atm */
ul.delegation-history-list li.light {
    background-color: white;
}

ul.delegation-history-list li.dark {
    background-color: lightgray;
}


ul.delegation-history-list li > small {
    display: block;
    margin-bottom: 10px;
}

/* Icon definitions */

ul.delegation-history-list li.action-created::before {
    content: '';
}

ul.delegation-history-list li.action-created > small {
    margin-left: -1.75rem;
}

ul.delegation-history-list li.action-delegated_back::before,
ul.delegation-history-list li.action-delegated_has_taken_back::before {
    content: "⭠";
}

ul.delegation-history-list li.action-owner_has_taken_back::before {
    content: "⭯";
}

/* DELEGATION HISTORY – END */

/*#autosubmit_status {
    position: absolute;
    right: 12px;
    !* Vertical centering *!
    top: 50%;
    transform: translateY(-50%);
}*/

#autosubmit_status {
  width:      100%;
  margin-top: 2rem;
}

/*#ez-as-place p {
    display: inline;
}*/

#ez-as-place p:last-child {
    margin-bottom: 0;
    margin-top: 10px;
}

.edit-submit-button-block .block.form-group {
    margin: 0;
}

.edit-submit-button-block {
  /* 333ms ≈ 10 frames @60hz / 5 frames @ 30hz */
  -webkit-transition: height 333ms;
  -moz-transition:    height 333ms;
  -ms-transition:     height 333ms;
  -o-transition:      height 333ms;
  transition:         height 333ms;
}

.participant-list ul,
.participant-list ul.list-unstyled {
    padding-left: 15px;
}

/* Debug only styles */
.debug-only {
    color: darkorange;
}

/* Hide all debug elements, when a parent element has the `no-debug` class */
.no-debug .debug-only,
.no-debug #debug {
  display: none!important;
}

#edit_validation .alert ul li > strong {
    display: block;
}

.red {
  color: #FF0000;
}

.next-message {
    display: block;
    margin-top: -10px;
}

.validation-error-counter {
  color: #FF0000;
}

/* #10152  set printsize / viewport */
@media print {
    body.print_force_size
    {
        width: 770px;
    }
    .print_force_size .breadcrumb
    {
        display: none;
    }
}

.logged-in-user-name {
    white-space: nowrap;
}

/* Display classes like in Bootstrap 4 */
.d-block {
    display: block;
}

.d-inline {
    display: inline;
}

.loading-bg .loading-text {
    display: block;
    width: 100%;
    height: 100%;

    position: absolute;
    top: 50%;
    margin-top: 25px;

    color: white;
    text-align: center;

    visibility: visible;
    opacity: 1;

    transition: opacity .333s ease-out, visibility .333s ease-out;
}

.loading-bg .loading-text.hidden {
    display: block!important;
    visibility: hidden!important;
    opacity: 0;
}

.panel-body .widget-entry a:visited {

color: #7f9eb6;

}


